#!/bin/sh
#
# $Product: atk $ $Id$
#
# This script builds the native port of the atk external product.
#
if [ "$1" = "-r" ]; then
    rebuild="-r"	# Just do the build
    shift
fi
set -e
srcdir=$1
port=`sh $srcdir/config.guess`
installdir=$2/$port
libiconvdir=/home/support/vers/libiconv/$port
libintldir=/home/support/vers/gettext/$port
/bin/rm -rf $installdir
mkdir -p $installdir/runtime
if [ -z "$rebuild" ]; then
    /bin/rm -rf build/$port
    cp -r $srcdir build/$port
    (cd build/$port; \
	PATH=/usr/devel/bin:/home/support/vers/glib/$port/bin:$PATH \
	CC= CPP= CFLAGS= INSTALL= \
	AR= RANLIB= AS= LD= NM= DLLTOOL= OBJDUMP= WINDRES= \
	CPPFLAGS="-I${libiconvdir}/include -I${libintldir}/include" \
	LDFLAGS="-Wl,-Bdynamic -L${libiconvdir}/lib -Wl,--rpath -Wl,${libiconvdir}/lib -L${libintldir}/lib -Wl,--rpath -Wl,${libintldir}/lib" \
	PKG_CONFIG_PATH=/home/support/vers/lib/pkgconfig/$port \
	./configure --prefix $installdir)
fi
(cd build/$port; PATH=/home/support/vers/glib/$port/bin:$PATH make)
(cd build/$port; make install)
(cd $installdir; find . -name '*.so*' -print | cpio -pdm runtime; chmod -R g+rX runtime)
