#!/bin/sh
#
# $Product: libiconv $ $Id$
#
# This script builds the native port of the libiconv external product.
#
if [ "$1" = "-r" ]; then
    rebuild="-r"	# Just do the build
    shift
fi
set -e
srcdir=$1
port=`$srcdir/autoconf/config.guess`
installdir=$2/$port
/bin/rm -rf $installdir
mkdir -p $installdir/runtime
if [ -z "$rebuild" ]; then
    /bin/rm -rf build/$port
    cp -r $srcdir build/$port
    (cd build/$port; \
	CC= CFLAGS= CPPFLAGS= INSTALL= LDFLAGS= \
	AR= RANLIB= AS= LD= NM= DLLTOOL= OBJDUMP= WINDRES= \
	./configure --prefix $installdir -C)
fi
(cd build/$port; make)
(cd build/$port; make install)
(cd $installdir; find . -name '*.so*' -print | cpio -pdm runtime; chmod -R g+rX runtime)
