#!/bin/sh
#
# $Product: pango $ $Id$
#
# This script builds the native port of the pango external product.
#
if [ "$1" = "-r" ]; then
    rebuild="-r"	# Just do the build
    shift
fi
set -e
srcdir=$1
port=`sh $srcdir/config.guess`
installdir=$2/$port
/bin/rm -rf $installdir
mkdir -p $installdir/runtime
if [ -z "$rebuild" ]; then
    /bin/rm -rf build/$port
    cp -r $srcdir build/$port
    (cd build/$port; \
	PATH=/usr/devel/bin:/home/support/vers/glib/$port/bin:$PATH \
	CC= CPP= CPPFLAGS= LDFLAGS= CFLAGS= INSTALL= \
	AR= RANLIB= AS= LD= NM= DLLTOOL= OBJDUMP= WINDRES= \
	PKG_CONFIG_PATH=/home/support/vers/lib/pkgconfig/$port \
	./configure --prefix $installdir)
fi
(cd build/$port; PATH=/home/support/vers/glib/$port/bin:$PATH make)
(cd build/$port; make install)
(cd $installdir; find . \( -name '*.so*' -o -name '*.exe' -o -path './etc*' \) -print | cpio -pdm runtime; chmod -R g+rX runtime)
